# AuthUser | @supabase/supabase-js
Documentation for @supabase/supabase-js

### Hierarchy

- AuthUser

## Index

### Properties

- action_link
- app_metadata
- aud
- confirmation_sent_at
- confirmed_at
- created_at
- email
- email_change_sent_at
- email_confirmed_at
- id
- identities
- invited_at
- last_sign_in_at
- new_email
- phone
- phone_confirmed_at
- recovery_sent_at
- role
- updated_at
- user_metadata

## Properties

### Optional action_link

action_link?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:48

### app_metadata

app_metadata: { provider?: string }

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:35

#### Type declaration

- ##### [key: string]: any

- ##### Optional provider?: string

### aud

aud: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:42

### Optional confirmation_sent_at

confirmation_sent_at?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:43

### Optional confirmed_at

confirmed_at?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:52

### created_at

created_at: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:51

### Optional email

email?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:49

### Optional email_change_sent_at

email_change_sent_at?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:45

### Optional email_confirmed_at

email_confirmed_at?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:53

### id

id: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:34

### Optional identities

identities?: UserIdentity []

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:58

### Optional invited_at

invited_at?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:47

### Optional last_sign_in_at

last_sign_in_at?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:55

### Optional new_email

new_email?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:46

### Optional phone

phone?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:50

### Optional phone_confirmed_at

phone_confirmed_at?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:54

### Optional recovery_sent_at

recovery_sent_at?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:44

### Optional role

role?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:56

### Optional updated_at

updated_at?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:57

### user_metadata

user_metadata: {}

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:39

#### Type declaration

- ##### [key: string]: any

Generated using TypeDoc